public static final class QueryParameter.Builder extends GeneratedMessage.Builder<QueryParameter.Builder> implements QueryParameterOrBuilderA query parameter message represents a parameter that can be used to parameterize a SQL query.
Protobuf type google.cloud.geminidataanalytics.v1beta.QueryParameter
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > QueryParameter.BuilderImplements
QueryParameterOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public QueryParameter build()| Returns | |
|---|---|
| Type | Description |
QueryParameter |
|
buildPartial()
public QueryParameter buildPartial()| Returns | |
|---|---|
| Type | Description |
QueryParameter |
|
clear()
public QueryParameter.Builder clear()| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
|
clearDataType()
public QueryParameter.Builder clearDataType()Required. The data type of the parameter, e.g. "STRING", "INT64", "DATE", etc. For valid values, see the BigQuery documentation. This will be used to populate google.cloud.bigquery.v2.QueryParameterType.type.
string data_type = 3 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
This builder for chaining. |
clearDescription()
public QueryParameter.Builder clearDescription()Optional. The description of the parameter that can be used by LLM to extract the parameter value from the user question.
string description = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
This builder for chaining. |
clearName()
public QueryParameter.Builder clearName()Required. The name of the parameter reference in the SQL query.
string name = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
This builder for chaining. |
getDataType()
public String getDataType()Required. The data type of the parameter, e.g. "STRING", "INT64", "DATE", etc. For valid values, see the BigQuery documentation. This will be used to populate google.cloud.bigquery.v2.QueryParameterType.type.
string data_type = 3 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The dataType. |
getDataTypeBytes()
public ByteString getDataTypeBytes()Required. The data type of the parameter, e.g. "STRING", "INT64", "DATE", etc. For valid values, see the BigQuery documentation. This will be used to populate google.cloud.bigquery.v2.QueryParameterType.type.
string data_type = 3 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for dataType. |
getDefaultInstanceForType()
public QueryParameter getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
QueryParameter |
|
getDescription()
public String getDescription()Optional. The description of the parameter that can be used by LLM to extract the parameter value from the user question.
string description = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
String |
The description. |
getDescriptionBytes()
public ByteString getDescriptionBytes()Optional. The description of the parameter that can be used by LLM to extract the parameter value from the user question.
string description = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for description. |
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getName()
public String getName()Required. The name of the parameter reference in the SQL query.
string name = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The name. |
getNameBytes()
public ByteString getNameBytes()Required. The name of the parameter reference in the SQL query.
string name = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for name. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeFrom(QueryParameter other)
public QueryParameter.Builder mergeFrom(QueryParameter other)| Parameter | |
|---|---|
| Name | Description |
other |
QueryParameter |
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public QueryParameter.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public QueryParameter.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
|
setDataType(String value)
public QueryParameter.Builder setDataType(String value)Required. The data type of the parameter, e.g. "STRING", "INT64", "DATE", etc. For valid values, see the BigQuery documentation. This will be used to populate google.cloud.bigquery.v2.QueryParameterType.type.
string data_type = 3 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe dataType to set. |
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
This builder for chaining. |
setDataTypeBytes(ByteString value)
public QueryParameter.Builder setDataTypeBytes(ByteString value)Required. The data type of the parameter, e.g. "STRING", "INT64", "DATE", etc. For valid values, see the BigQuery documentation. This will be used to populate google.cloud.bigquery.v2.QueryParameterType.type.
string data_type = 3 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for dataType to set. |
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
This builder for chaining. |
setDescription(String value)
public QueryParameter.Builder setDescription(String value)Optional. The description of the parameter that can be used by LLM to extract the parameter value from the user question.
string description = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe description to set. |
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
This builder for chaining. |
setDescriptionBytes(ByteString value)
public QueryParameter.Builder setDescriptionBytes(ByteString value)Optional. The description of the parameter that can be used by LLM to extract the parameter value from the user question.
string description = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for description to set. |
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
This builder for chaining. |
setName(String value)
public QueryParameter.Builder setName(String value)Required. The name of the parameter reference in the SQL query.
string name = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
StringThe name to set. |
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
This builder for chaining. |
setNameBytes(ByteString value)
public QueryParameter.Builder setNameBytes(ByteString value)Required. The name of the parameter reference in the SQL query.
string name = 1 [(.google.api.field_behavior) = REQUIRED];
| Parameter | |
|---|---|
| Name | Description |
value |
ByteStringThe bytes for name to set. |
| Returns | |
|---|---|
| Type | Description |
QueryParameter.Builder |
This builder for chaining. |